Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class StringHelper

    java.lang.Object
      com.servingxml.util.StringHelper

    public class StringHelper

extends java.lang.Object

The `StringHelper` provides utility methods for strings

Constructor Summary
`StringHelper()`

Method Summary
`static java.lang.String` | `constructNameFromValue(java.lang.String tag)`
`static boolean` | `contains(java.lang.String s, char[] value)`
`static boolean` | `isWhitespaceOrEmpty(java.lang.String s)`
`static java.lang.String` | `toString(java.lang.String[] values, java.lang.String sep, java.lang.String quoteMark)`
`static java.lang.String` | `translateEscapeChars(java.lang.String s)`
`static java.lang.String` | `trim(java.lang.String value, boolean trimLeading, boolean trimTrailing)`
`static java.lang.String` | `trimLeading(java.lang.String value)`
`static java.lang.String` | `trimTrailing(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringHelper

    public StringHelper()

Method Detail

### toString

    public static java.lang.String toString(java.lang.String[] values,
                                            java.lang.String sep,
                                            java.lang.String quoteMark)

### trim

    public static final java.lang.String trim(java.lang.String value,
                                              boolean trimLeading,
                                              boolean trimTrailing)

### trimTrailing

    public static final java.lang.String trimTrailing(java.lang.String value)

### trimLeading

    public static final java.lang.String trimLeading(java.lang.String value)

### translateEscapeChars

    public static final java.lang.String translateEscapeChars(java.lang.String s)

### contains

    public static final boolean contains(java.lang.String s,
                                         char[] value)

### constructNameFromValue

    public static final java.lang.String constructNameFromValue(java.lang.String tag)

### isWhitespaceOrEmpty

    public static boolean isWhitespaceOrEmpty(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD